Open Lighting Architecture: ola::acn::CID Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | List of all members
ola::acn::CID Class Reference
ACN

## Detailed Description

The ACN component identifier.

## Public Types
enum | { CID_LENGTH = 16 }
| The length of the CID data. More...

## Public Member Functions
| CID ()
| Create a new uninitialized CID.
| CID (const CID &other)
| Copy constructor.
| ~CID ()
| CID destructor.
bool | IsNil () const
| Returns true if the CID is uninitialized.
void | Pack (uint8_t *output) const
| Pack a CID into the binary representation.
std::string | ToString () const
| Return the CID as a human readable string.
void | Write (ola::io::OutputBufferInterface *output) const
| Write the CID to an OutputBufferInterface.
CID & | operator= (const CID &c1)
| Assignment operator.
bool | operator== (const CID &c1) const
| Equality operator.
bool | operator!= (const CID &c1) const
| Inequality operator.
bool | operator< (const CID &c1) const
| Less than operator.

## Static Public Member Functions
static CID | Generate ()
| Generate a new CID.
static CID | FromData (const uint8_t *data)
| Create a new CID from a binary representation.
static CID | FromString (const std::string &cid)
| Create a new CID from a human readable string.

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum

The length of the CID data.

Enumerator
CID_LENGTH | The length of a CID in binary form

## Member Function Documentation

## ◆ FromData()

CID ola::acn::CID::FromData | ( | const uint8_t * | data | ) |
| static

Create a new CID from a binary representation.

Parameters

  data | the memory location that stores the binary representation of the CID.

## ◆ FromString()

CID ola::acn::CID::FromString | ( | const std::string & | cid | ) |
| static

Create a new CID from a human readable string.

Parameters

  cid | the CID in string format.

## ◆ Pack()

void ola::acn::CID::Pack | ( | uint8_t * | output | ) | const

Pack a CID into the binary representation.

Parameters

  [out] | output | the data buffer to use for the CID. Must be at least CID_LENGTH long.

## ◆ ToString()

string ola::acn::CID::ToString | ( |  | ) | const

Return the CID as a human readable string.

Example
  "D5D46622-ECCB-410D-BC9A-267C6099C136"

The documentation for this class was generated from the following files:

- include/ola/acn/CID.h
- libs/acn/CID.cpp